This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 915830 - gcc ICE: output_operand: invalid shift operand
gcc ICE: output_operand: invalid shift operand
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
arm Linux
unspecified Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-02-26 10:26 EST by Brendan Conoboy
Modified: 2013-03-21 22:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-21 22:28:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Preprocessed iwmxxt.c (207.11 KB, text/plain)
2013-02-26 10:27 EST, Brendan Conoboy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 56470 None None None Never

  None (edit)
Description Brendan Conoboy 2013-02-26 10:26:55 EST
Description of problem:

Gcc experiences an ICE when compiling F19's crash package.

Version-Release number of selected component (if applicable):

This is gcc 4.8.0-0.14.fc19

How reproducible:

Happens consistently

Steps to Reproduce:

The failing command is:
gcc -c -DHAVE_CONFIG_H     -DPROFILE=1 -DWITH_PROFILE=-1          -DDEFAULT_INLINE=0           -DMODET -DNEED_UI_LOOP_HOOK -DSIM_TARGET_SWITCHES   -I. -I. -I../common -I./../common -I../../include -I./../../include -I../../bfd -I./../../bfd -I../../opcodes -I./../../opcodes  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard iwmmxt.c

Actual results:

iwmmxt.c: In function 'WSUB':
iwmmxt.c:3241:1: internal compiler error: output_operand: invalid shift operand
 }
 ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
{standard input}: Assembler messages:
{standard input}:6399: Warning: end of file not at end of a line; newline inserted
{standard input}: Error: open CFI at the end of file; missing .cfi_endproc directive
Preprocessed source stored into /tmp/ccdBhcMp.out file, please attach this to your bugreport.

Expected results:

$?=0

Additional info:

Preprocessed source attached.
Comment 1 Brendan Conoboy 2013-02-26 10:27:50 EST
Created attachment 702973 [details]
Preprocessed iwmxxt.c
Comment 2 Jakub Jelinek 2013-02-26 13:08:53 EST
int shifts by 32 are undefined behavior, you'd better avoid them.
Comment 3 Brendan Conoboy 2013-03-08 20:08:44 EST
Surely an ICE isn't a good response though?
Comment 4 Brendan Conoboy 2013-03-21 22:28:38 EDT
Fixed as of 4.8.0-0.17.fc19. Thanks!

Note You need to log in before you can comment on or make changes to this bug.